<?php

namespace Drupal\lb_inspector\Batch\Finish;

use Drupal\awareness\Session\CurrentUserAwareTrait;
use Drupal\awareness\User\UserDataAwareTrait;
use Drupal\batch\Batch\Finish\FinishDefault;
use Drupal\Core\Url;
use Symfony\Component\HttpFoundation\RedirectResponse;

/**
 * Finish operation for inspection batch.
 */
class InspectionFinish extends FinishDefault {

  use CurrentUserAwareTrait;
  use UserDataAwareTrait;

  /**
   * {@inheritdoc}
   */
  public function finished(bool $success, mixed $results, array $operations): ?RedirectResponse {
    $this->getUserData()->set('lb_inspector', $this->getCurrentUser()->id(), 'inspection_result', $results);
    $this->setRedirectUrl(Url::fromRoute('lb_inspector.inspect'));
    return parent::finished($success, $results, $operations);
  }

}
