<?php

declare(strict_types = 1);

namespace Drupal\lb_inspector\Inspector;

use Drupal\Component\Plugin\ConfigurableInterface;
use Drupal\Core\Plugin\PluginFormInterface;
use Drupal\layout_builder\SectionComponent;

/**
 * Interface for lb_inspector plugins.
 */
interface LbInspectorInterface extends ConfigurableInterface, PluginFormInterface {

  /**
   * Returns the translated plugin label.
   */
  public function label(): string;

  /**
   * Inspect the component to see if it meets the criteria.
   *
   * @return bool
   *   Indicates if the component meets the criteria.
   */
  public function inspectComponent(SectionComponent $component): bool;

  /**
   * Summary of the plugin configuration.
   *
   * @return array
   *   Render array of the summary.
   */
  public function configurationSummary(): array;

}
